import * as React from 'react'
import type { SVGProps } from 'react'
function SvgMsKlimadashboardIconsMPkwHybrid(props: SVGProps<SVGSVGElement>) {
  return (
    <svg
      data-name="Ebene 1"
      id="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__Ebene_1"
      viewBox="0 0 120 48"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <defs>
        <style>
          {'.MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__cls-2{fill:#34c17b}'}
        </style>
      </defs>
      <path
        className="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__cls-2"
        d="M114.09 23.62h-8.64l-1.02-6.06c-2.26-8.09-7.47-9.13-11.76-9.13H71.72c-3.86 0-12.69 1.52-13.14 15.29-3.91.8-6.73 4.21-6.84 8.17h-7.86a3.657 3.657 0 0 0-3.76 3.53v1.39c.07 2.02 1.75 3.6 3.76 3.54h9.19s1.22 1.5 3.4 1.5h1.67c.86 3.46 4 5.97 7.66 5.96v-.02c3.66.01 6.79-2.5 7.65-5.96h21.49a7.877 7.877 0 0 0 7.66 5.98l.02-.02c3.66.01 6.79-2.49 7.65-5.96h5a4.842 4.842 0 0 0 4.62-5v-6.88a6.083 6.083 0 0 0-5.8-6.33ZM43.88 38.06c-.75.06-1.4-.5-1.47-1.25v-1.39c.07-.75.72-1.3 1.47-1.24h7.85v2.54c-.02.46.03.92.14 1.34h-7.99Zm27.42 2.02c0 .16-.01.3-.02.43-.02.16-.04.32-.07.48a5.515 5.515 0 0 1-4.82 4.39c-3.02.33-5.74-1.86-6.07-4.89-.03-.19-.04-.39-.03-.59 0-3.04 2.46-5.52 5.51-5.53 3.05.01 5.51 2.49 5.51 5.53v.18Zm31.9 5.31a5.514 5.514 0 0 1-6.08-4.88c-.02-.21-.03-.4-.03-.61 0-3.04 2.45-5.51 5.5-5.53 3.06.02 5.52 2.48 5.52 5.53 0 .07 0 .14-.01.2 0 .14-.01.27-.02.41-.02.15-.04.31-.07.46a5.512 5.512 0 0 1-4.81 4.42Zm14.32-8.56c.09 1.34-.91 2.5-2.25 2.61h-4.76c-.23-4.16-3.68-7.46-7.9-7.46s-7.67 3.3-7.9 7.46H73.7c-.23-4.16-3.68-7.46-7.9-7.46s-7.67 3.31-7.89 7.48h-1.44a2.565 2.565 0 0 1-2.35-2.74v-4.3c0-1.77.63-3.37 1.65-4.53 1.03-1.16 2.43-1.88 3.99-1.88.66 0 1.2-.54 1.2-1.2 0-11.57 5.85-13.99 10.76-13.99h20.95c3.84 0 7.65.89 9.43 7.25l1.17 6.94c.09.58.59 1 1.18 1h9.66c2.02.16 3.54 1.91 3.41 3.93v6.89Z"
      />
      <g
        data-name="Gruppe 1371"
        id="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__Gruppe_1371"
      >
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__cls-2"
          d="M36.6 30.04c-.07.33-.27.6-.56.78-.2.12-.42.18-.65.18-.4 0-.79-.19-1.03-.54l-3.06-4.45.02 1.01c-.06.77-.68 1.36-1.42 1.36l-10.9.08c-.49 0-.94-.28-1.18-.72-.25-.48-.21-1.04.09-1.43l4.87-7.73-18.94.05c-.66 0-1.18-.5-1.2-1.15-.01-.3.11-.59.32-.82.22-.23.51-.36.83-.37l20.67-.07c.53-.05.95.14 1.25.55.32.49.32 1.14 0 1.59l-4.92 7.75 8.07-.05-.49-4.04v-.21c.03-.56.38-1.05.89-1.26.47-.2 1-.12 1.4.22.09.08.16.18.23.27l5.52 8.07c.19.27.26.61.19.93Z"
        />
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__cls-2"
          d="m29.95 35.17-.04.11c-.37 1.06-.71 2.05-1.25 3.73-.07.2-.12.35-.15.44l-.02.08c-.15.5-.6.84-1.13.84h-.29l.04-.04s-.03-.01-.05-.01c-.3-.08-.55-.28-.7-.55-.15-.27-.19-.58-.11-.88l.02-.08c.03-.09.09-.28.17-.54.42-1.29.6-1.86.8-2.53l-20.2.49c-.42 0-.83-.23-1.03-.6-.23-.38-.21-.85.04-1.21L10.98 27l-9.55.06c-.28.02-.56-.07-.79-.28-.24-.21-.39-.53-.4-.85-.02-.65.48-1.19 1.12-1.21l11.81-.11c.41-.04.82.19 1.05.59.22.38.2.85-.05 1.22l-4.93 7.43 19.42-.46h.01c.44 0 .84.2 1.1.55.26.36.32.81.18 1.23Z"
        />
      </g>
      <g
        data-name="Gruppe 1363"
        id="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__Gruppe_1363"
      >
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__cls-2"
          d="M41.17 26.67c.75.08 1.21-.37 1.34-1.11.06-.32-.02-.65-.05-.98a7.781 7.781 0 0 0-2.41-4.88c2.51-6.08 1.12-12.69-3.51-16.35a13.129 13.129 0 0 0-13.18-1.6c-3.47-2.1-7.85-1.93-11.15.42-1.14.74-2.16 1.67-3.01 2.74-1.49 1.88-2.38 4.06-2.63 6.23-.07.64.43 1.2 1.07 1.2.62 0 1.15-.46 1.23-1.07.22-1.7.95-3.41 2.14-4.9.7-.88 1.53-1.64 2.47-2.25 3.05-1.99 6.63-2.02 9.11-.1.32.25.77.26 1.14.09 1.59-.71 3.31-1.09 5.06-1.11v-.03c2.3-.02 4.54.74 6.36 2.16 4 3.16 5.02 9.08 2.48 14.4-.23.5-.08 1.1.37 1.42.06.05.14.1.2.16 1.14.92 2.12 2.27 2 3.73-.14 1.65.98 1.82.98 1.82Z"
          data-name="Gruppe 1341-2"
          id="MS_Klimadashboard_Icons_m_Pkw_Hybrid_svg__Gruppe_1341-2"
        />
      </g>
      <path
        d="M0 0h120v48H0z"
        style={{
          fill: 'none',
        }}
      />
    </svg>
  )
}
export default SvgMsKlimadashboardIconsMPkwHybrid
